/*
* Styling of a .help-item div displaying a step of the drawing help/tutorial.
*/
@mixin help-item {
    width: 100%;
    height: 100%;
    position: relative;

    @include selectable(grid);
    grid-template-columns: 1fr 50%;
    grid-template-rows: 1fr 30px;
    grid-gap: d("padding");

    > img {
        width: 100%;
        height: 100%;
        background-color: color("white");
        border-radius: d("border-radius");

        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 3;
    }

    div:not(.navigate) {
        grid-column-start: 2;
        grid-column-end: 3;
        grid-row-start: 1;
        grid-row-end: 2;

        overflow-y: scroll;

        h2 {
            font-size: 30px;
            margin-bottom: 20px;
            color: color("white");
        }

        p {
            font-size: 25px;
            margin-top: 10px;
            color: color("white");

            span {
                @extend %keyed;    
            }

            &.m-top {
                margin-top: 50px;
            }
        }
    }

    div.navigate {
        grid-column-start: 2;
        grid-column-end: 3;
        grid-row-start: 2;
        grid-row-end: 3;

        @extend %row;
        width: 200px;

        button {
            flex: 1;

            &.next {
                border-top-right-radius: 5px;
                border-bottom-right-radius: 5px;
            }

            &.previous {
                border-top-left-radius: 5px;
                border-bottom-left-radius: 5px;
            }

            &.disabled {
                color: color("background");
                border-color: color("background");
                cursor: default;
            }
        }
    }
}